#ifndef _IFRCTLAT_
  #define _IFRCTLAT_
/**************************************************************/
/* CLASS NAME:  IFrameControlAttr                             */
/*                                                            */
/* DESCRIPTION  : This is bitwise attribute class for         */
/*                window command type.                        */
/*                                                            */
/* Hungarian is fxat                                          */
/*                                                            */
/* CHANGE ACTIVITY:                                           */
/*   DATE:     INITIAL:        DESCRIPTION                    */
/*                                                            */
/*   081092    Kevin Leong     Design/code                    */
/*   081192    PhG             Added query flag functions     */
/*   082692    PhG             Use style classes              */
/**************************************************************/
/* Copyright (c) IBM Corporation 1991                         */
/**************************************************************/
#include <ibasetyp.hpp>
#include <iBitFlag.hpp>

// define the attribute class
IBITFLAGCLASSDEF0START(IFrCtlAttr)
  placeLow,
  placeUp,
  placeHorz,
  placeVert,
  placeLeft,
  placeRight,
  placeBottom,
  placeTop,
  centerArea,
  adjust,
  behind,
  thinSepLine,
  thickSepLine,
  splitBar;
IBITFLAGCLASSDEF0END(IFrCtlAttr);

// default frame controls
enum IEDefFrameCtl {None      =0x0000,
                    SysMenu   =0x8002,
                    Titlebar  =0x8003,
                    MinMax    =0x8004,
                    Menu      =0x8005,
                    VertScroll=0x8006,
                    HorzScroll=0x8007,
                    Client    =0x8008,  // should this be there?
                    DbeAppStat=0x8010,
                    DbeKbdStat=0x8011,
                    DbePeCic  =0x8012,
                    DbeKkPopUp=0x8013};

#endif /* ndef _IFRCTLAT_ */
